Comment 0 for bug 1133019

Revision history for this message
jashsu (jashsu) wrote : Please backport gnuradio 3.6.1-1 (universe) from raring

Please backport gnuradio 3.6.1-1 (universe) from raring to precise, quantal.

Reason for the backport:
========================
This useful package currently exists in the quantal and raring universe repos but not in the precise (LTS) repo.

Testing:
========
Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s raring -d precise gnuradio
$ backportpackage -u ppa:<lp username>/<ppa name> -s raring -d quantal gnuradio

* precise:
[ ] Package builds without modification
[ ] libvolk0.0.0 installs cleanly and runs
[ ] libgnuradio-core3.6.1 installs cleanly and runs
[ ] libgnuradio-qtgui3.6.1 installs cleanly and runs
[ ] libgnuradio-trellis3.6.1 installs cleanly and runs
[ ] gnuradio installs cleanly and runs
[ ] libgnuradio-noaa3.6.1 installs cleanly and runs
[ ] libgnuradio-vocoder3.6.1 installs cleanly and runs
[ ] gnuradio-doc installs cleanly and runs
[ ] libgnuradio-atsc3.6.1 installs cleanly and runs
[ ] libgnuradio-digital3.6.1 installs cleanly and runs
[ ] libgnuradio-video-sdl3.6.1 installs cleanly and runs
[ ] libgnuradio-comedi3.6.1 installs cleanly and runs
[ ] libgnuradio-fft3.6.1 installs cleanly and runs
[ ] libgnuradio-uhd3.6.1 installs cleanly and runs
[ ] libgnuradio-wavelet3.6.1 installs cleanly and runs
[ ] libgnuradio-fcd3.6.1 installs cleanly and runs
[ ] libgnuradio-pager3.6.1 installs cleanly and runs
[ ] libgruel3.6.1 installs cleanly and runs
[ ] gnuradio-dev installs cleanly and runs
[ ] libgnuradio-audio3.6.1 installs cleanly and runs
* quantal:
[ ] Package builds without modification
[ ] libvolk0.0.0 installs cleanly and runs
[ ] libgnuradio-core3.6.1 installs cleanly and runs
[ ] libgnuradio-qtgui3.6.1 installs cleanly and runs
[ ] libgnuradio-trellis3.6.1 installs cleanly and runs
[ ] gnuradio installs cleanly and runs
[ ] libgnuradio-noaa3.6.1 installs cleanly and runs
[ ] libgnuradio-vocoder3.6.1 installs cleanly and runs
[ ] gnuradio-doc installs cleanly and runs
[ ] libgnuradio-atsc3.6.1 installs cleanly and runs
[ ] libgnuradio-digital3.6.1 installs cleanly and runs
[ ] libgnuradio-video-sdl3.6.1 installs cleanly and runs
[ ] libgnuradio-comedi3.6.1 installs cleanly and runs
[ ] libgnuradio-fft3.6.1 installs cleanly and runs
[ ] libgnuradio-uhd3.6.1 installs cleanly and runs
[ ] libgnuradio-wavelet3.6.1 installs cleanly and runs
[ ] libgnuradio-fcd3.6.1 installs cleanly and runs
[ ] libgnuradio-pager3.6.1 installs cleanly and runs
[ ] libgruel3.6.1 installs cleanly and runs
[ ] gnuradio-dev installs cleanly and runs
[ ] libgnuradio-audio3.6.1 installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of gnuradio. For reverse-build-dependencies (-Indep), please test that the package still builds against the new gnuradio. For reverse-dependencies, please test that the version of the package currently in the release still works with the new gnuradio installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

libgnuradio-core3.6.1
---------------------

libgnuradio-qtgui3.6.1
----------------------

libgnuradio-trellis3.6.1
------------------------

gnuradio
--------
* libuhd003
  [ ] quantal (Reverse-Recommends)
* qthid-fcd-controller
  [ ] quantal (Reverse-Recommends)
* uhd-host
  [ ] quantal (Reverse-Recommends)
* libuhd-dev
  [ ] quantal (Reverse-Recommends)

libgnuradio-audio3.6.1
----------------------

libgnuradio-noaa3.6.1
---------------------

libgnuradio-vocoder3.6.1
------------------------

gnuradio-doc
------------

libvolk0.0.0
------------

libgnuradio-atsc3.6.1
---------------------

libgnuradio-video-sdl3.6.1
--------------------------

libgnuradio-comedi3.6.1
-----------------------

libgnuradio-fft3.6.1
--------------------

libgnuradio-uhd3.6.1
--------------------

libgnuradio-wavelet3.6.1
------------------------

libgnuradio-fcd3.6.1
--------------------

libgnuradio-pager3.6.1
----------------------

libgruel3.6.1
-------------

libgnuradio-digital3.6.1
------------------------

gnuradio-dev
------------